Page MenuHomePhabricator

Missing error message wikimediaapiportaloauth-email-not-confirmed
Closed, ResolvedPublic

Description

The message that is displayed when the user goes to Special:AppManagement if their email address is not confirmed currently displays <wikimediaapiportaloauth-email-not-confirmed> rather than the message. The message string needs to be wired and added to en.json.

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptSep 29 2020, 4:31 PM
apaskulin triaged this task as High priority.Sep 30 2020, 2:42 PM

Change 631419 had a related patch set uploaded (by Art.tsymbar; owner: arttsymbar):
[mediawiki/extensions/WikimediaApiPortalOAuth@master] Adding missing error message for 'wikimediaapiportaloauth-email-not-confirmed' key.

https://gerrit.wikimedia.org/r/631419

Change 631419 merged by jenkins-bot:
[mediawiki/extensions/WikimediaApiPortalOAuth@master] Adding missing error message for 'wikimediaapiportaloauth-email-not-confirmed' key.

https://gerrit.wikimedia.org/r/631419

Thanks, Art! I'm going to leave this open, so I can submit a patch to change the message.

apaskulin closed this task as Resolved.Oct 5 2020, 3:02 PM

On second thought, I'll open a separate task for the copy change.